Expenses

Reject Hris Expense Report

Rejects a submitted expense report with reason, rejecting lines, auditing and notifying the employee.

POSThttps://api.toku.com/hris/reject-hris-expense-report

Not available to API keys yet. It will need expenses:write.

curl --request POST \
  --url 'https://api.toku.com/hris/reject-hris-expense-report' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "hrisExpenseReportID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "rejectionReason": "string"
}'
200 response
{
  "hrisExpenseReportID": "string",
  "roleInOrgID": "string",
  "roleInOrgName": "string",
  "roleInOrgEmail": "string",
  "roleInOrgDepartment": "string",
  "name": "string",
  "status": "string",
  "startDate": "string",
  "endDate": "string",
  "expensedCurrencyID": "string",
  "expensedCurrencyCode": "string",
  "expensedCurrencyName": "string",
  "totalAmountInExpenseCurrency": "string",
  "submittedAt": "string",
  "approvedAt": "string",
  "rejectedAt": "string",
  "paidAt": "string",
  "payoutStatus": "string",
  "decisionUndoableUntil": "string",
  "rejectionReason": "string",
  "reviewComment": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "expenseCount": 0,
  "categoryNames": [
    "string"
  ],
  "primaryExpenseCategoryName": "string",
  "hasReceiptlessExpenses": true,
  "thirdPartyProvider": "string",
  "thirdPartyReportID": "string",
  "reimbursementSyncedAt": "string",
  "reimbursementSyncError": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

hrisExpenseReportIDstring<uuid>required
rejectionReasonstringrequired

Allowed: 1 to 1000 characters

Response

200Successful response
hrisExpenseReportIDstringrequired
roleInOrgIDstringrequired
roleInOrgNamestring | nullrequired
roleInOrgEmailstring | nullrequired
roleInOrgDepartmentstring | nullrequired
namestringrequired
statusstringrequired
startDatestring | nullrequired
endDatestring | nullrequired
expensedCurrencyIDstring | nullrequired
expensedCurrencyCodestring | nullrequired
expensedCurrencyNamestring | nullrequired
totalAmountInExpenseCurrencystring | nullrequired
submittedAtstring | nullrequired
approvedAtstring | nullrequired
rejectedAtstring | nullrequired
paidAtstring | nullrequired
payoutStatusstring | nullrequired
decisionUndoableUntilstring | nullrequired
rejectionReasonstring | nullrequired
reviewCommentstring | nullrequired
createdAtstring | nullrequired
updatedAtstring | nullrequired
expenseCountnumberrequired
categoryNamesstring[]required
primaryExpenseCategoryNamestring | nullrequired
hasReceiptlessExpensesbooleanrequired
thirdPartyProviderstring | nullrequired
thirdPartyReportIDstring | nullrequired
reimbursementSyncedAtstring | nullrequired
reimbursementSyncErrorstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits